<?

header("Cache-Control: no-cache");
header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);      
require("version.php");

switch($mod) {

case 'photo':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>46080) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>640)||($par[1]>480)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Фото в анкету</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=photo&amp;ref=$ref\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("photos/$foto")){
unlink ("photos/$foto");
}
Copy($file, "photos/".basename($foto)); 
@mysql_query ("Update users set img='".$foto."', votefoto='0' where id ='".$id."'"); 
@mysql_query ("Delete from golos where user ='".$id."'"); 
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Добавить фото</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo "<b>ВНИМАНИЕ!!!</b><br/>";
echo "<i>При загрузки нового фото обнуляется колличество голосов за ваше фото. Чтобы голоса начали засчитываться за новое.</i><br/>\n";
echo $divide;
echo "Загружаемая фотка обязательно должна быть в формате Gif, Jpg или Png разрешением не более 640х480 и размером не более 45кб. Если вы хотите заменить свою фотку то просто загрузите новую, а старая автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["user"]."</font><br/>\n";
if(@$row["img"]!=""){
$row["img"] = UrlEncode($row["img"]);
echo "<img align=\"center\" src=\"fr.php?usid=$id\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=photo&amp;ref=$ref\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить фотку:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>";
echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;

case 'avatars':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>174)||($par[1]>174)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Аватар в анкету</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=avatars&amp;ref=$ref\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("loadavatars/$foto")){
unlink ("loadavatars/$foto");
}
Copy($file, "loadavatars/".basename($foto)); 
@mysql_query ("Update users set myavatar='".$foto."' where id ='".$id."'"); 
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Добавить аватар</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый аватар обязательно должен быть в формате Gif, Jpg или Png разрешением не более 174х174 и размером не более 25кб. Если вы хотите заменить свой аватар то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["user"]."</font><br/>\n";
if(@$row["myavatar"]!=""){
$row["img"] = UrlEncode($row["myavatar"]);
echo "<img align=\"center\" src=\"fr2.php?usid=$id\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=avatars&amp;ref=$ref\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить аватар:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>";
echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;

case 'smiles':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file); 

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>100)||($par[1]>100)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=smiles&amp;ref=$ref\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n"; 
echo "</HTML>\n";
exit;
}

if (file_exists("loadsmile/$foto")){
unlink ("loadsmile/$foto");
}
Copy($file, "loadsmile/".basename($foto)); 
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'"); 
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Добавить Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый смайл обязательно должнен быть в формате Gif, Jpg или Png разрешением не более 100х100 и размером не более 25кб. Если вы хотите заменить свой смайл то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["user"]."</font><br/>\n";
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"fr3.php?usid=$id\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=smiles&amp;ref=$ref\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить смайл:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>";
echo $fsize1;
echo "</div>\n"; 
echo "</BODY>\n"; 
echo "</HTML>\n";
mysql_close ($link);
break;
}
?>